Mise à jour vers la 0.8.0.3

1 post / 0 new
#1 Wed, 12/11/2014 - 12:34
No picture available
ssm2017 Binder
Admin

Mise à jour vers la 0.8.0.3

Nous invitons tous les propriétaires de simulateurs à mettre à jour leur version de OpenSimulator.

Voici la traduction du texte de Justin que l'on peut trouver içi : http://opensimulator.org/pipermail/opensim-dev/2014-November/025216.html

******************************************************************************

Hi folks,

Comme notifié dans l'annonce de pré-release d'hier, les mises à jour de sécurité d'OpenSimulator versions 0.8.0.3, 0.7.6.2, 0.7.5.2 et 0.7.4.1 sont maintenant disponibles.
Elles peuvent être téléchargées depuis l'emplacement habituel http://opensimulator.org/wiki/Download
Les notes de version sont à :
http://opensimulator.org/wiki/0.8.0.3_Release http://opensimulator.org/wiki/0.7.6.2_Release http://opensimulator.org/wiki/0.7.5.2_Release http://opensimulator.org/wiki/0.7.4.1_Release
Il y a seulement un seul changement dans ces versions. Celle ci est de réparer un probleme lorsque
llRemoteLoadScriptPin() ne traite pas la pin '0' comme non assignée. Par défaut, toutes les prims ont une pin définie sur 0.
Par conséquent, ce bug autorise llRemoteLoadScriptPin() à spécifier une pin 0 pour charger les scripts dans les prims qu'on possède
sans qu'une pin soit définie ce qui ne devrait pas être possible. A moins que vous soyiez complètement sûr(e) qu'aucun utilisateur ne va exécuter un script depuis une source non autorisée,
nous vous conseillons de mettre à jour dès que possible.
Il y a aucune migration de base de données ou de changement de configuration dans ces versions comparativement aux précédentes dans les series,
donc tous les fichiers de configuration peuvent être utilisés sans altération. Ce bug fut introduit il y a plus de 6 ans avec l'implémentation originale de llRemoteLoadScriptPin() et affecte donc toutes les versions
de OpenSimulataor au moins depuis la 0.4.
Si vous utilisez une version de OpenSimulator antérieure à la 0.7.4 (qui fut publiée en aout 2012) alors vous devriez mettre à jour
ou appliquer manuellement le patch du commit 5aa8ba1.

Enormes remerciements à Tranquility Dexter de Inworldz d'avoir répéré et réparé le bug.